
Redmine - Defect #3701

New issue statuses doesn't  work

2009-07-31 14:31 - Oliver Dauter

Status: Closed Start date: 2009-07-31

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

I've added some new issue statuses under Administration/Ticket-Status. This seems to work fine until you try to use these statuses in

real issues.

None of the new statuses appears in the status dropdown    regardless of creating an new issue or change an existing one.

The new statuses have correctly been written into the database table 'issue_statuses' but every status with a id greater than 6 (1-6

are the default statuses) doesn't show up. Changing existing statuses to for instance new names works as expected.

A somewhat funny behavior is, that when i change a new issue status (which doesn't appear in the dropdown) to the default status

and create a new issue this new issue status is the only one showing up in the status dropdown.

I'm confused and not really sure if this is a real bug or just my stupidity.

ruby 1.8.6 (2007-09-24 patchlevel 111) [i486-linux]

rails 2.0.2-1ubuntu1

redmine r2828

TIA (..and sorry for my english ;))

History

#1 - 2009-07-31 14:46 - Oliver Dauter

Oliver Dauter wrote:

redmine r2828

 No.. it's "Redmine 0.8.4.stable.2796 (MySQL)"

#2 - 2009-07-31 15:34 - Mischa The Evil

- Category deleted (Issues)

- Status changed from New to Closed

- Resolution set to Invalid

Oliver Dauter wrote:

I'm confused and not really sure if this is a real bug or just my stupidity.

 Maybe in such cases (support-issues) it would be better to post in the forums instead of the issue-tracker in future...

Regarding the issue: look the the info in this FAQ item. You'll need to included the new statuses in the workflow before they'll show-up.

Regards, Mischa.

Powered by TCPDF (www.tcpdf.org)

2025-06-18 1/1

https://www.redmine.org/projects/redmine/repository/svn/revisions/2828
https://www.redmine.org/projects/redmine/repository/svn/revisions/2828
http://www.redmine.org/projects/redmine/boards/2
https://www.redmine.org/projects/redmine/wiki/FAQ#Ive-created-a-new-issue-status-but-I-cant-use-it-it-doesnt-show-up-in-the-status-drop-down-list
https://www.redmine.org/projects/redmine/wiki/RedmineIssueTrackingSetup#Workflow
http://www.tcpdf.org

